読者です 読者をやめる 読者になる 読者になる

jettyの依存関係ライブラリ


jetty-distribution-7.0.0.RC4から、依存関係のライブラリが同梱されなくなったみたい。
jetty-distribution-7.0.0.RC1の頃には、libフォルダの中にjsp-2.1とかjetty-annotationsとか入っていたんだけど。eclipseからはjettyのコア部のdistributionのみを提供する模様。
依存ライブラリを含んだものは、http://dist.codehaus.org/jetty/jetty-7.0.0.RC4/のjetty-hightide-7.0.0.RC4.zip などの hightide というものを落とすと含まれてる。

Jetty-6.1.xの起動

Jetty-6.1.xだと、

java -jar start.jar etc/jetty.xml

で起動して、

http://localhost:8080/test

で動作確認できるが・・

jetty-hightide-7.0.0.RC4の起動

Jetty-7のRCだと以下のように公式サイトに記載があるが、

java -jar start.jar

で起動して、(なんかExceptionいっぱい出るんですけど・・)

http://localhost:8080/test

だめなんですけどー